using WorkFlowCheck.Common.DTO;

namespace WorkFlowCheck.MAUI.Pages.BaseStock;

public partial class BaseStockPage : ContentPage
{
    public BaseStockPage()
    {
        InitializeComponent();
    }

    private async void OnButtonGetCheckPoints(object sender, EventArgs e)
    {
        //await Shell.Current.GoToAsync("//CheckPointsPage");
        await Navigation.PushAsync(new CheckPointsPage());
    }
    private async void OnButtonGetEquipments(object sender, EventArgs e)
    {
        await Shell.Current.GoToAsync("//EquipmentsPage");
    }
    private async void OnButtonGetLocations(object sender, EventArgs e)
    {
        await Shell.Current.GoToAsync("//LocationsPage");
    }

    protected override bool OnBackButtonPressed()
    {
        Shell.Current.GoToAsync("//MainPage");
        return true;
    }
}